Bug 247314 - Yum should warn on duplicate repositoryid
Yum should warn on duplicate repositoryid
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 16:25 EDT by Peter McNabb
Modified: 2014-01-21 17:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 09:47:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter McNabb 2007-07-06 16:25:39 EDT
Description of problem:
This is a feature request. Yum should give a warning/fail if more than one repository has the same 
repositoryid. The man page says the ids must be unique, but the user may not realize there are 
duplicate names if a script modifies the repositories (or other cases).

Version-Release number of selected component (if applicable):
3.2.0

How reproducible:
Create two repositories with the same id, but different configurations (i.e. one is enabled, the other 
disabled).

Actual results:
The disabled repository is enabled.

Expected results:
Erratic behavior should be expected, but a warning would be helpful.
Comment 1 Seth Vidal 2007-08-03 15:06:01 EDT
unfortunately there's no way to know about this from w/i ConfigParser in python.

see here for more information. I'll reassign this to python b/c once it gets
fixed we're all set;.

https://sourceforge.net/tracker/?func=detail&atid=105470&aid=830449&group_id=5470
Comment 2 Bug Zapper 2008-05-14 09:26:45 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 James Antill 2008-05-14 09:47:55 EDT
 Actually we fixed this in yum, although I'm not sure it got into Fed-7.

Note You need to log in before you can comment on or make changes to this bug.